﻿* Encoding: UTF-8.

**** Datencheck.
FREQUENCIES VARIABLES=Geschlecht Alter Schulabschluss Gruppe A1 A2 A3 A4 A5 C1 C2 C3 C4 C5 E1 E2 E3 
    E4 E5 N1 N2 N3 N4 N5 O1 O2 O3 O4 O5 com_t0_r1 com_t0_r2 com_t0_r3 com_t1 com_t2 empf_t1 empf_t2 
    monate anstellung laune_t1 laune_t2 erfolg
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

* Alter größer 100 durch missing ersetzen.
RECODE Alter (101 thru Highest=SYSMIS) (ELSE=Copy) INTO Alter.2.
EXECUTE.

* Textvariablen umkodieren.
AUTORECODE VARIABLES=Geschlecht Schulabschluss Gruppe 
  /INTO Geschlecht_kodiert Schulabschluss_kodiert Gruppe_kodiert
  /PRINT.

**** Stichprobenbeschreibung Gesamt.
FREQUENCIES VARIABLES=Geschlecht_kodiert Schulabschluss_kodiert
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=Alter.2
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

**** Stichprobenbeschreibung gruppiert.
SORT CASES  BY Gruppe_kodiert.
SPLIT FILE LAYERED BY Gruppe_kodiert.

FREQUENCIES VARIABLES=Geschlecht_kodiert Schulabschluss_kodiert
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=Alter
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE OFF.

**** Gütekriterien.
**** Skalen umkodieren.
COMPUTE A1_recode=5-A1.
COMPUTE C4_recode=5-C4.
COMPUTE C5_recode=5-C5.
COMPUTE E1_recode=5-E1.
COMPUTE E2_recode=5-E2.
COMPUTE O2_recode=5-O2.
COMPUTE O5_recode=5-O5.
EXECUTE.

**** Cronbachs Alpha etc.
RELIABILITY
  /VARIABLES=A1_recode A2 A3 A4 A5
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=C1 C2 C3 C4_recode C5_recode
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=E1_recode E2_recode E3 E4 E5
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=N1 N2 N3 N4 N5
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=O1 O2_recode O3 O4 O5_recode
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL.

*****ICC.
RELIABILITY
  /VARIABLES=com_t0_r1 com_t0_r2 com_t0_r3
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /ICC=MODEL(MIXED) TYPE(CONSISTENCY) CIN=95 TESTVAL=0.

*** Skalen bilden.
COMPUTE Neurotizismus=mean(N1,N2,N3,N4,N5).
COMPUTE Vertraeglichkeit=mean(A1_recode,A2,A3,A4,A5).
COMPUTE Gewissenhaftigkeit=mean(C1,C2,C3,C4_recode,C5_recode).
COMPUTE Extraversion=mean(E1_recode,E2_recode,E3,E4,E5).
COMPUTE Offenheit=mean(O1,O2_recode,O3,O4,O5_recode).
EXECUTE.

***** Beispiele deskriptive Analyse.
* Kreuztabelle und Balkendiagramm.
CROSSTABS
  /TABLES=Geschlecht_kodiert BY erfolg
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT ROW 
  /COUNT ROUND CELL
  /BARCHART.

* Korrelationen.
CORRELATIONS
  /VARIABLES=com_t1 Neurotizismus
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.
NONPAR CORR
  /VARIABLES=com_t1 Neurotizismus
  /PRINT=BOTH TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.

* Deskriptive Statistik metrischer oder ordinaler Variablen gruppiert und über die Zeit mit Boxplot.
EXAMINE VARIABLES=com_t0_r3 com_t1 com_t2 BY Gruppe_kodiert
  /PLOT BOXPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* Streudiagramm.
GRAPH
  /SCATTERPLOT(BIVAR)=Neurotizismus WITH com_t2
  /MISSING=LISTWISE.

* Mittelwertdiagramm mit Fehlerbalken.
GRAPH
  /ERRORBAR(CI 95)=com_t2 BY Gruppe_kodiert.

* Kaplan-Meier Analyse gruppiert.
KM monate BY Gruppe_kodiert
  /STATUS=anstellung(1)
  /PRINT TABLE MEAN
  /PLOT SURVIVAL.

**** Voraussetzungen untersuchen.
* Zellbesetzung.
CROSSTABS
  /TABLES=Geschlecht_kodiert BY anstellung
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT EXPECTED 
  /COUNT ROUND CELL.

* Normalverteilung.
EXAMINE VARIABLES=Neurotizismus com_t0_r1 com_t0_r2
  /PLOT NPPLOT
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* Ähnliche Verteilungsform.
EXAMINE VARIABLES=com_t0_r1 com_t0_r2
  /PLOT BOXPLOT HISTOGRAM
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* Varianzhomogenität.
EXAMINE VARIABLES=Neurotizismus BY erfolg
  /PLOT SPREADLEVEL
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* Homoskedastizität.
* Wird während der Regressionsanalayse untersucht, siehe unten.

* Sphäriztiät.
* Wird während der Berechnung der Messwiederholungs-ANOVA untersucht, siehe unten.

* Linearität.
* Streudiagramm, siehe oben.

* Loglinearität von Alter überprüfen (für logistisches Regressionsmodell).
* Term Logtransformierte Variable Alter mal Variable Alter erstellen.
COMPUTE log_Alter2=LN(Alter.2)*Alter.2.
EXECUTE.
* Logistisches Regressionsmodell mit Alter udn diesem Term rechnen. Dieser Term soll nicht signifikant sein.
LOGISTIC REGRESSION VARIABLES erfolg
  /METHOD=ENTER Alter log_Alter2 
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

*keine Ausreißer.
* Wird innerhalb des jeweiligen Modells geprüft, z.B. bei der linearen Regression, siehe unten.

* keine Multikollinearität.
* Wird innerhalb des jeweiligen Modells geprüft, z.B. bei der linearen Regression, siehe unten.

* Unabhänigigkeit der Residuen.
* Wird innerhalb des jeweiligen Modells geprüft, z.B. bei der linearen Regression, siehe unten.

*** Einfache Signifikanztests ****.
* McNemar.
CROSSTABS
  /TABLES=empf_t1 BY empf_t2
  /FORMAT=AVALUE TABLES
  /STATISTICS=MCNEMAR 
  /CELLS=COUNT
  /COUNT ROUND CELL.

* Fishers Exakter Test mit Effektstärkemaß Cramers V.
CROSSTABS
  /TABLES=erfolg BY Gruppe_kodiert
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT
  /COUNT ROUND CELL.

* Chi-Quadart-Unabhängigkeits-Test mit Effektstärkemaß Cramers V.
CROSSTABS
  /TABLES=erfolg BY Schulabschluss_kodiert
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT
  /COUNT ROUND CELL.

* Korrelationen siehe oben.

* Lograng-Test.
KM monate BY Gruppe_kodiert
  /STATUS=anstellung(1)
  /PRINT TABLE MEAN
  /PLOT SURVIVAL
  /TEST LOGRANK
  /COMPARE OVERALL POOLED.

*Einstichproben-Wilcoxon-Test.
NPTESTS 
  /ONESAMPLE TEST (Alter.2) WILCOXON(TESTVALUE=25) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05 CILEVEL=95  SEED=RANDOM.

* Einstichproben t-Test mit Cohens d als Effektstärkemaß.
T-TEST
  /TESTVAL=3
  /MISSING=ANALYSIS
  /VARIABLES=Gewissenhaftigkeit
  /ES DISPLAY(TRUE)
  /CRITERIA=CI(.95).

* Mann-Whitney-U-Test.
NPAR TESTS
  /M-W= com_t1 BY Gruppe_kodiert(1 2)
  /MISSING ANALYSIS.

* t-Test für unabhängige Stichproben mit Cohens d als Effektstärkemaß.
T-TEST GROUPS=Gruppe_kodiert(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=Gewissenhaftigkeit
  /ES DISPLAY(TRUE)
  /CRITERIA=CI(.95).

* Wilcoxon-Test für abhängige Stichproben.
NPTESTS 
  /RELATED TEST(com_t1 com_t2) WILCOXON 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

* t-Test bei abhängigen Stichproben mit Cohens d als Effektstärkemaß.
T-TEST PAIRS=com_t1 WITH com_t2 (PAIRED)
  /ES DISPLAY(TRUE) STANDARDIZER(SD)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

* Kruskal-Wallis-Test, falls signifikant, werden Bonferroni-korrigierte Post-Hoc-Tests gerechnet.
NPTESTS 
  /INDEPENDENT TEST (laune_t1) GROUP (Schulabschluss_kodiert) KRUSKAL_WALLIS(COMPARE=PAIRWISE) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

* Einfaktorielle ANOVA mit Eta-Quadrat als Effektstärkemaß.
ONEWAY Gewissenhaftigkeit BY Schulabschluss_kodiert
  /ES=OVERALL
  /MISSING ANALYSIS
  /CRITERIA=CILEVEL(0.95).

*Friedman-Test. Falls signifikant, werden Bonferroni-korrigierte Post-Hoc-Tests gerechnet.
NPTESTS 
  /RELATED TEST(com_t0_r3 com_t1 com_t2) FRIEDMAN(COMPARE=PAIRWISE) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

* Messwiederholungs-ANOVA mit Mauchly-Test auf Sphärizität, Eta-Quadrat als Effektstärkemaß und Sidak-Post-Hoc-Tests.
GLM com_t0_r3 com_t1 com_t2
  /WSFACTOR=Zeit 3 Polynomial 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(Zeit) COMPARE ADJ(SIDAK)
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Zeit.

**** Komplexere Methoden ******.
* Mehrfaktorielle ANOVA Mauchly-Test auf Sphärizität, Profilplots, Effektstärkemaß Partielles Eta-Quadrat und Sidak-Post-Hoc-Tests.
GLM com_t0_r3 com_t1 com_t2 BY Gruppe_kodiert
  /WSFACTOR=Zeit 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Gruppe_kodiert*Zeit Zeit*Gruppe_kodiert) TYPE=LINE ERRORBAR=CI MEANREFERENCE=NO 
    YAXIS=AUTO
  /EMMEANS=TABLES(Zeit) COMPARE ADJ(SIDAK)
  /EMMEANS=TABLES(Gruppe_kodiert*Zeit) 
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Zeit 
  /DESIGN=Gruppe_kodiert.

* Lineare Regression.
*Veränderungsvariable bilden: Kommunikationsfähigkeit von t0 bis t2.
COMPUTE Diff_com=com_t2 - com_t0_r3.
EXECUTE.

* Lineare Regression mit Voraussetzungsprüfungen.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Diff_com
  /METHOD=ENTER Gruppe_kodiert Neurotizismus Vertraeglichkeit Extraversion Offenheit 
    Gewissenhaftigkeit
  /SCATTERPLOT=(*ZPRED ,*ZRESID)
  /RESIDUALS DURBIN NORMPROB(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3).

* Logistische Regression mit Prüfung auf Ausreißer (Prüfung Loglinearität, siehe oben, Prüfung Multikollinearität wie in linearer Regression oben.).
LOGISTIC REGRESSION VARIABLES erfolg
  /METHOD=ENTER com_t2 Alter Schulabschluss_kodiert 
  /CONTRAST (Schulabschluss_kodiert)=Indicator(1)
  /CASEWISE OUTLIER(3)
  /PRINT=GOODFIT CI(95)
  /CRITERIA=PIN(0.05) POUT(0.10) ITERATE(20) CUT(0.5).

**** Explorative Methoden ****.
* Explorative Faktorenanalyse. Hauptachsen-Methode mit Varimax-Rotation und Anzahl der Faktoren laut Kaiser-Kriterium (Anzahl Eigenwerte größer 1).
FACTOR
  /VARIABLES A1 A2 A3 A4 A5 C1 C2 C3 C4 C5 E1 E2 E3 E4 E5 N1 N2 N3 N4 N5 O1 O2 O3 O4 O5
  /MISSING LISTWISE 
  /ANALYSIS A1 A2 A3 A4 A5 C1 C2 C3 C4 C5 E1 E2 E3 E4 E5 N1 N2 N3 N4 N5 O1 O2 O3 O4 O5
  /PRINT UNIVARIATE INITIAL KMO AIC EXTRACTION ROTATION
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PAF
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION.

* Clusterananalyse.
* Hierarchische Clusteranalyse mit Ward-Methode, quadrierter Euklidischer Distanz und z-standardisierten Variablen.
DATASET DECLARE D0.6998823893248595.
PROXIMITIES   Neurotizismus Vertraeglichkeit Extraversion Offenheit Gewissenhaftigkeit
  /MATRIX OUT(D0.6998823893248595)
  /VIEW=CASE
  /MEASURE=SEUCLID
  /PRINT NONE
  /STANDARDIZE=VARIABLE Z.
CLUSTER
  /MATRIX IN(D0.6998823893248595)
  /METHOD WARD
  /PRINT SCHEDULE
  /PLOT DENDROGRAM VICICLE.
Dataset Close D0.6998823893248595.

* K-Means-Clusteranalyse für 5-Clusterlösung und Speichern der Clusterlösung im Datensatz.
QUICK CLUSTER Neurotizismus Vertraeglichkeit Extraversion Offenheit Gewissenhaftigkeit
  /MISSING=LISTWISE
  /CRITERIA=CLUSTER(5) MXITER(10) CONVERGE(0)
  /METHOD=KMEANS(NOUPDATE)
  /SAVE CLUSTER
  /PRINT ID(ID) INITIAL ANOVA.
